Subject: bug#54472: 29.0.50; mouse-wheel-scroll-amount inconsistency

From: Po Lu <[email-masked]>
Date: Mon, 21 Mar 2022 16:50:20 +0800

Ergus <[email-masked]> writes:

> I'm pretty sure now that this is related with the events...
>
> With `emacs -nw` when I scroll 1 tick and `C-h l` I see:
>
> ```
>  ESC [ < 6 5		; 8 0 ; 1 9 M <mouse-5> ;; mwheel-scroll
>  ESC [ < 6 5		; 8 0 ; 1 9 M <mouse-5> ;; mwheel-scroll
>  C-h l			;; view-lossage
> ```

I think this is a bug in xterm-mouse-mode: IIRC (though this may be very
inaccurate) xterm sends an escape sequence both for a mouse button being
pressed and for one being released.

On X Windows, moving the scroll wheel will result in both a ButtonPress
and a ButtonRelease event for the appropriate scroll wheel button.

But I'm by no means an xterm expert, so this may very well be wrong.